<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <title>Festo</title>
    <!-- If IE use the latest rendering engine -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/static/css/festo-web-essentials.min.css">

    <link rel="shortcut icon" href="{{url_for('static', filename='img/faviconF.ico')}}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>

{% block content %}
<div class="container">
    {% for message in get_flashed_messages() %}
    <div class="alert alert-{{ category }} alert-dismissible fade show" role="alert">
        <button type="button" class="close" data-dismiss="alert" onclick=delete_flash(this)>&times;</button>
        {{ message }}
    </div>
    {% endfor %}

    {% block page_content %}{% endblock %}
</div>
{% endblock %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<script>
    function delete_flash(flash) {
        $(flash).parent().remove()
    }
</script>

<body onload ="GetPositions();">
    <header class="w-100">
        <nav class="navbar">
            <div class="container">
                <div class="ml-auto">
                    <a href="https://www.festo.com/">
                        <img class="festo" src="static/img/FestoLogo.png">
                    </a>
                </div>
            </div>
        </nav>
    </header>
    <div class="card">
        <div class="card-header">
            <div class="card-title">
                <h1>Liquid Handling Software</h1>
                <p>version 0.0.1</p>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <div class="container bg-background">
        <div class="grid">
            <div class="col-6">
                <h3 class="ml-6">Position</h3>
                <form class="form-control" action='/move' method="post">
                    <div class="d-flex flex-row justify-content-space-between">
                        <label class="input-text ml-6">
                            <input type="number" step="0.01" name="xA" value="{{ request.form['xA']}}">
                            <span class="input-text-label">Move X</span>
                            <span class="input-text-info">X[mm]</span>
                        </label>
                        <label class="input-text ml-6">
                            <input type="number" step="0.01" name="yA" value="{{ request.form['yA']}}">
                            <span class="input-text-label">Move Y</span>
                            <span class="input-text-info">Y[mm]</span>
                        </label>
                        <label class="input-text ml-6">
                            <input type="number" step="0.01" name="zA" value="{{ request.form['zA']}}">
                            <span class="input-text-label">Move Z</span>
                            <span class="input-text-info">Z[mm]</span>
                        </label>
                        <div class=" ml-6 mr-6">
                            <button class="btn btn-hero">Go</button>
                        </div>
                    </div>
                </form>
                <br><br><br><br>
                <img class="img-rounded ml-6" src="static/img/move.png">
                <div class="d-flex flex-row justify-flex-start mt-3">
                    <form class="form-group ml-6 mb-4" method="post" action="/home">
                        <div class="">
                            <button class="btn btn-primary" name="btnHome">Start Homing</button>
                        </div>
                    </form>
                    <form class="form-group ml-4 mb-4" method="post" action="/home_zero">
                        <div class="">
                            <button name="btnHomeZero" class="btn btn-primary">Go to Zero</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-6 ml-6">
                <h3 class="ml-auto">Protocol</h3>
                <div class="d-flex flex-row justify-content-flex-start">
                    <form class="form-group" method="post" action="/upload" enctype="multipart/form-data">
                        <div class="file">
                            <input type="file" name="input-b2" id="input-b2">
                            <button type="submit" class="btn btn-hero">Run</button>
                        </div>
                    </form>
		    <form class="form-group" method="post" action="/stopJson">
                            <button class="btn btn-hero ml-3 mb-xl" name="btnStop" >Stop!</button>
                    </form>
                </div>
                    <!-- <form class="form-group" method="post" action="/upload">
                        <div class="">
                            <button type="submit" class="btn btn-hero">Run</button>
                        </div>
                    </form> -->
                    <br><br><br>

                    <div class="d-flex flex-row justify-content-flex-start">
                        <form class="form-control" method="post" action="/aspirate">
                            <label class="input-text">
                                <input type="number" name="formAsp" value="{{ request.form['formAsp']}}">
                                <span class="input-text-label">Aspirate</span>
                                <span class="input-text-info">V[uL]</span>
                            </label>
                            <div class="mr-6">
                                <button class="btn btn-hero">Aspirate</button>
                            </div>
                        </form>
                        <form class="form-control" method="post" action="/dispense">
                            <label class="input-text ml-6">
                                <input type="number" name="formDisp" value="{{ request.form['formDisp']}}">
                                <span class="input-text-label">Dispense</span>
                                <span class="input-text-info">V[uL]</span>
                            </label>
                            <div class=" ml-6 mr-6">
                                <button class="btn btn-hero">Dispense</button>
                            </div>
                        </form>
                    </div>

                    <br><br><br>

                    <div class="d-flex flex-row justify-content-flex-start">
                        <form class="form-control" method="post" action="/moveAxisXUpward">
                            <label class="input-text">
                                <span class="input-text-label">Move Axis X</span>
                            </label>
                            <div class="mr-6">
                                <input id="buttonXForward" class="btn btn-primary" type="button" value=" X FORWARD " onmousedown="ButtonPlusX('pressForward');" onmouseup="ButtonPlusX('releaseForward');" onmouseout="ButtonPlusX('releaseForward');">
                                <br><br>
                                <input id="buttonXBackword" class="btn btn-primary" type="button" value=" X BACKWARD " onmousedown="ButtonPlusX('pressBackword');" onmouseup="ButtonPlusX('releaseBackword');" onmouseout="ButtonPlusX('releaseBackword');">
                                <br><br>
                                <label class="input-text">
                                    <input type="number" id="XCoordinates" readonly value="{{ request.form['XCoordinates']}}">
                                    <span class="input-text-label">X Coordinates</span>
                                    <span class="input-text-info">X[mm]</span>
                                </label>
                                <script>
                                    function ButtonPlusX(state) {
                                        $.post("/moveAxisX", {
                                            javascript_data: state
                                        });
                                        if (state == 'pressForward') {
                                            document.getElementById("buttonXForward").style.color = "red";
                                        } else if (state == 'releaseForward') {
                                            document.getElementById("buttonXForward").style.color = "black";
                                            // GetPositions()
                                        } else if (state == "pressBackword") {
                                            document.getElementById("buttonXBackword").style.color = "red";
                                        } else if (state == "releaseBackword") {
                                            document.getElementById("buttonXBackword").style.color = "black";
                                            // GetPositions()
                                        }
                                    }
                                </script>
                            </div>
                        </form>

                        <br><br>
                        
                        <form class="form-control" method="post" action="/moveAxisXUpward">
                            <label class="input-text ml-6">
                                <span class="input-text-label">Move Axis Y</span>
                            </label>
                            <div class=" ml-6 mr-6">
                                <input id="buttonYForward" style = "color:black" type="button" value=" Y FORWARD " onmousedown="ButtonPlusY('pressForward');" onmouseup="ButtonPlusY('releaseForward');" onmouseout="ButtonPlusY('releaseForward');">
                                <br><br>
                                <input id="buttonYBackword" style ="color:black" type="button" value=" Y BACKWARD " onmousedown="ButtonPlusY('pressBackword');" onmouseup="ButtonPlusY('releaseBackword');" onmouseout="ButtonPlusY('releaseBackword');">
                                <br><br>
                                <label class="input-text ml-6">
                                    <input type="number" id="YCoordinates" readonly value="{{ request.form['YCoordinates']}}">
                                    <span class="input-text-label">Y Coordinates</span>
                                    <span class="input-text-info">Y[mm]</span>
                                </label>
                                <script>
                                    function ButtonPlusY(state) {
                                        $.post("/moveAxisY", {
                                            javascript_data: state
                                        });
                                        if (state == 'pressForward') {
                                            document.getElementById("buttonYForward").style.color = "red";
                                        } else if (state == 'releaseForward') {
                                            document.getElementById("buttonYForward").style.color = "black";
                                            // GetPositions()
                                        } else if (state == "pressBackword") {
                                            document.getElementById("buttonYBackword").style.color = "red";
                                        } else if (state == "releaseBackword") {
                                            document.getElementById("buttonYBackword").style.color = "black";
                                            // GetPositions()
                                        }
                                    }
                                </script>
                            </div>
                        </form>

                        <br><br>

                        <form class="form-control" method="post" action="/moveAxisXUpward">
                            <label class="input-text ml-6">
                                <span class="input-text-label">Move Axis Z</span>
                            </label>
                            <div class=" ml-6 mr-6">
                                <input id="buttonZForward" style = "color:black" type="button" value=" Z FORWARD " onmousedown="ButtonPlusZ('pressForward');" onmouseup="ButtonPlusZ('releaseForward');" onmouseout="ButtonPlusZ('releaseForward');">
                                <br><br>
                                <input id="buttonZBackword" style ="color:black" type="button" value=" Z BACKWARD " onmousedown="ButtonPlusZ('pressBackword');" onmouseup="ButtonPlusZ('releaseBackword');" onmouseout="ButtonPlusZ('releaseBackword');">
                                <br><br>
                                <label class="input-text ml-6">
                                    <input type="number" id="ZCoordinates" readonly value="{{ request.form['ZCoordinates']}}">
                                    <span class="input-text-label">Z Coordinates</span>
                                    <span class="input-text-info">Z[mm]</span>
                                </label>
                                <script>
                                    function ButtonPlusZ(state) {
                                        $.post("/moveAxisZ", {
                                            javascript_data: state
                                        });
                                        if (state == 'pressForward') {
                                            document.getElementById("buttonZForward").style.color = "red";
                                        } else if (state == 'releaseForward') {
                                            document.getElementById("buttonZForward").style.color = "black";
                                            // GetPositions()
                                        } else if (state == "pressBackword") {
                                            document.getElementById("buttonZBackword").style.color = "red";
                                        } else if (state == "releaseBackword") {
                                            document.getElementById("buttonZBackword").style.color = "black";
                                            console.log("test")
                                            // GetPositions()
                                        }
                                    }
                                </script>
                            </div>
                        </form>
                    </div>

                    <br> <br>

                    <div class="d-flex flex-row justify-content-flex-start">
                        <form class="form-control" method="post">
                            <div class="mr-6">
                                <!-- <button class="btn btn-hero" onclick="GetPositions();">Refresh coordinates</button> -->
                                <button class="btn btn-hero" onclick="window.location.reload();">Refresh coordinates</button>
                            </div>
                        </form>
                        
                        <br>

                        <form class="form-control" method="post" action="/setStartingPoint">
                            <div class="mr-6">
                                <button class="btn btn-hero" name="btnSetStartingPoint">Set current position as starting point</button>
                            </div>
                        </form>

                        <br>

                        <form class="form-control" method="post" action="/gotToStartingPoint">
                            <div class="mr-6">
                                <button class="btn btn-hero" name="btnGotToStartingPoint">Go to starting point</button>
                            </div>
                        </form>
                    </div>
            </div>
        </div>
    </div>
    <script>
        function GetPositions() {
            $.get("/getpythondata", function(data) {
                var jsonData = JSON.parse(data);

                document.getElementById("XCoordinates").value = jsonData.x;
                document.getElementById("YCoordinates").value = jsonData.y;
                document.getElementById("ZCoordinates").value = jsonData.z;
            });
        }
    </script>
</body>
</html>